summaryrefslogtreecommitdiffhomepage
path: root/vars/libxml2.vars
diff options
context:
space:
mode:
Diffstat (limited to 'vars/libxml2.vars')
-rw-r--r--vars/libxml2.vars20
1 files changed, 20 insertions, 0 deletions
diff --git a/vars/libxml2.vars b/vars/libxml2.vars
new file mode 100644
index 00000000..f3264801
--- /dev/null
+++ b/vars/libxml2.vars
@@ -0,0 +1,20 @@
+#
+# . ./build.vars and set -o errexit -o noglob are assumed.
+#
+
+pkg_libxml2_install_post() {
+ if [ -e ${PREFIX}/bin/${TARGET}-xml2-config ]; then
+ build_fileop rm ${PREFIX}/bin/${TARGET}-xml2-config;
+ fi;
+ cat > ${PREFIX}/bin/${TARGET}-xml2-config <<EOF
+#!/bin/sh
+case "\${1}" in
+--cflags) echo -I${PREFIX_NATIVE}/include/libxml2; ;;
+--libs) echo -L${PREFIX_NATIVE}/lib -lxml2 -lz -llzma -lpthread -lm; ;;
+esac;
+EOF
+ chmod +x ${PREFIX}/bin/${TARGET}-xml2-config;
+
+};
+
+# vim:filetype=sh